Package com.evopdf

# Class HtmlElementsMappingOptions

java.lang.Object
com.evopdf.HtmlElementsMappingOptions

public class HtmlElementsMappingOptions extends Object
Defines the necessary API to retrieve the positions in the generated PDF document for the HTML elements specified in a list. The HTML elements to map are specified by the CSS selectors given by the `htmlElementSelectors()` property or by the special HTML attributes in HTML document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HtmlElementsMappingOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `htmlElementSelectors()`
  Gets the array containing the selectors of the HTML elements for which to retrieve position in PDF
  `HtmlElementMappingsCollection`
  `htmlElementsMappingResult()`
  Gets the mapping of the HTML elements selected by the `htmlElementSelectors()` selectors.
  `boolean`
  `mapHiddenElements()`
  Gets the flag indicating if the mapping of hidden elements is enabled
  `void`
  `setHtmlElementSelectors(String[] selectors)`
  Sets an array containing the selectors of the HTML elements for which to retrieve position in PDF.
  `void`
  `setMapHiddenElements(boolean mapHiddenElements)`
  Sets the flag indicating if the mapping of hidden elements is enabled.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HtmlElementsMappingOptions

    public HtmlElementsMappingOptions()

- ## Method Details

  - ### htmlElementSelectors

    public String[] htmlElementSelectors()
    Gets the array containing the selectors of the HTML elements for which to retrieve position in PDF
    Returns:
      the array containing the selectors of the HTML elements for which to retrieve position in PDF

  - ### setHtmlElementSelectors

    public void setHtmlElementSelectors(String[] selectors)
    Sets an array containing the selectors of the HTML elements for which to retrieve position in PDF. For example, the selector for all the image elements is "img", the selector for all the elements with the CSS class name 'myclass' is "*.myclass" and the selector for the elements with the id 'myid' is "*#myid". The elements mapping will be retrieved in the `htmlElementsMappingResult()` property after conversion
    Parameters:
      `selectors` - the selectors to set

  - ### mapHiddenElements

    public boolean mapHiddenElements()
    Gets the flag indicating if the mapping of hidden elements is enabled
    Returns:
      the flag value

  - ### setMapHiddenElements

    public void setMapHiddenElements(boolean mapHiddenElements)
    Sets the flag indicating if the mapping of hidden elements is enabled. This property is true by default
    Parameters:
      `mapHiddenElements` - the flag value to set

  - ### htmlElementsMappingResult

    public HtmlElementMappingsCollection htmlElementsMappingResult()
    Gets the mapping of the HTML elements selected by the `htmlElementSelectors()` selectors. This collection is populated by converter after conversion
    Returns:
      the mapping of the HTML elements selected by the `htmlElementSelectors()` selectors